Bug 414191 - Review Request: oniguruma - Regular expressions library
Review Request: oniguruma - Regular expressions library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 414211
  Show dependency treegraph
 
Reported: 2007-12-06 11:06 EST by Mamoru TASAKA
Modified: 2014-12-01 08:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 15:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-12-06 11:06:09 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/oniguruma/oniguruma.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/oniguruma/oniguruma-5.9.0-1.fc8.src.rpm
Description: 
Oniguruma is a regular expressions library.
The characteristics of this library is that different character encoding
for every regular expression object can be specified.
(supported APIs: GNU regex, POSIX and Oniguruma native)

koji scratch build for dist-f8-updates-candidate is here.
http://koji.fedoraproject.org/koji/taskinfo?taskID=279216
Comment 1 Parag AN(पराग) 2007-12-07 02:08:59 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8d0ef96e475e4f7edffe04b352f5c21b  onig-5.9.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package oniguruma-5.9.0-1.fc9 ->
  Provides: libonig.so.2
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libonig.so.2 rtld(GNU_HASH)
+ Package oniguruma-devel-5.9.0-1.fc9 ->
  Requires: /bin/sh libonig.so.2 oniguruma = 5.9.0-1.fc9
+ Not a GUI App.
APPROVED.
Comment 2 Mamoru TASAKA 2007-12-07 02:54:42 EST
Thank you!

New Package CVS Request
=======================
Package Name:      oniguruma
Short Description: Regular expressions library
Owners:            mtasaka
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-12-07 12:10:54 EST
cvs done.
Comment 4 Mamoru TASAKA 2007-12-07 15:28:38 EST
Rebuilt on all branches, requested on bodhi, closing.

Thank you for your review!
Comment 5 Ken Dreyer 2014-11-29 22:40:32 EST
Package Change Request
======================
Package Name: oniguruma
New Branches: epel7
Owners: ktdreyer no1youknowz
InitialCC: 

Paul had contacted Mamoru via private email regarding oniguruma a while back. As discussed in #epel today, I will be co-maintaining oniguruma with Paul (no1youknowz) in EPEL 7 and helping him through the packaging process. I'm sponsoring him through the "co-maintain to sponsor" process (https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Become_a_co-maintainer)
Comment 6 Jon Ciesla 2014-12-01 08:08:55 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.